<template>
  <header>
    <div class="container">
      <div class="header-wrapper">
        <div class="header-content">
            <div class="logo">
              <img src="../assets/images/icon/logo.svg" class="header__link" width="60px" alt="logo">
            </div>
          <nav class="menu">
            <!-- <router-link class="menu__item" to="/">
              <li>Главная</li>
            </router-link> -->
            <router-link class="menu__item" to="/">
              <li>Товары</li>
            </router-link>
            <!-- <router-link class="menu__item" to="/contacts">
              <li>Контакты</li>
            </router-link> -->
          </nav>
        </div>
        <div class="header-info">
          <div class="header-info__sum-products">Товары в корзине: {{ CART.length }}</div>
          <router-link :to="{ name: 'cart' }">
            <div class="header__cart">
              <img src="../assets/images/icon/cart.svg" width="30px" alt="">
            </div>
          </router-link>
          <router-link class="menu__item" to="/registration">
              <li>Регистрация</li>
          </router-link>
          <span>/</span>
          <router-link class="menu__item" to="/entrance">
              <li>Вход</li>
          </router-link>
        </div>
      </div>
    </div>
  </header>
</template>


<script>
import { mapGetters } from 'vuex';

export default {
  name: "Header",
  computed: {
    ...mapGetters([
      'CART'
    ])
  }
}

</script>


<style lang="scss">
header {
  background: #fff;
  position: fixed;
  min-width: 100%;
  border-bottom: 1px solid #aeaeae;
  z-index: 1;
}

.header-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.container {
  max-width: 1230px;
  margin: 0 auto;
  padding: 0 15px;
}

.header-content {
  display: flex;
  align-items: center;
  gap: 50px;
}

.menu {
  display: flex;
  gap: 30px;
  list-style-type: none;
}

.menu__item {
  list-style: none;
  text-decoration: none;
  color: black;
}

.header-info {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;

}
</style>